.woocommerce a.button {
  background-color: #ce2127;
  padding: 15px 20px;
  color: #fff;
  font-weight: 500;
}

.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
  background-color: #ce2127;
}

.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
  background-color: #ab191e;
  color: #fff;
}

.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
  background-color: #ce2127;
  color: #fff;
}

.woocommerce-tabs.wc-tabs-wrapper {
  width: 100%;
  clear: both;
}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
  border: 0;
  box-shadow: 0px 2px 4px rgb(0 0 0 / 15%);
}

.woocommerce ul.products li.product .product_loop_item .button {
  margin-top: 0;
  display: flex;
}

.woocommerce ul.products li.product .product_loop_item .button.added:after {
  color: #010101;
}

.woo_archive_content_wrapper {
  display: flex;
  flex-wrap: wrap;
  margin-top: 40px;
}

.woo_archive_loop,
.woo_archive_sidebar {
  flex: 0 0 100%;
  max-width: 100%;
}

.woocommerce .woocommerce-ordering,
.woocommerce-page .woocommerce-ordering {
  float: none;
}

.woo_archive_controllers {
  padding: 16px 0;
  margin-bottom: 40px;
  border-bottom: 1px solid #e5e5e5;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: relative;
}

.show-controllers {
  display: flex;
  align-items: center;
}

.show-controllers span {
  display: flex;
  align-items: center;
}

.show-controllers span:first-child {
  margin-right: 30px;
}

.show-controllers form.woocommerce-ordering {
  margin: 0;
}

.show-controllers .searchandfilter select.sf-input-select,
.show-controllers select {
  min-width: auto;
  font-style: normal;
  font-weight: bold;
  font-size: 14px;
  line-height: 19px;
  padding: 15px 20px;
  border-radius: 8px;
  background: #f0efef;
  border: 0;
}

.show-controllers span p {
  margin-right: 16px;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 16px;
}

.woocommerce .woocommerce-result-count {
  margin: 0;
  font-style: normal;
  font-weight: bold;
  font-size: 14px;
  line-height: 19px;
}

.woo-grid-views {
  margin-left: 20px;
}

.woo-grid-views span.woo-grid-views-icon {
  cursor: pointer;
  margin-right: 0;
  margin-left: 10px;
}

.woo-grid-views-icon svg path {
  fill: #cbcbcb;
}

.woo-grid-views-icon.active svg path {
  fill: #010101;
}

.horizontal-view li.product {
  width: 100% !important;
}

.woocommerce-page div.product div.images {
  float: none;
  width: auto;
}

.woocommerce span.onsale {
  height: 80px;
  width: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ce2127;
  font-weight: 500;
  font-size: 14px;
  line-height: 19px;
  text-transform: uppercase;
  text-align: center;
}

.woocommerce div.product p.price,
.woocommerce div.product span.price {
  font-style: normal;
  font-weight: bold;
  font-size: 20px;
  line-height: 27px;
  color: #010101;
}

.woocommerce .quantity .qty {
  width: 48px;
}

button.single_add_to_cart_button.button.alt {
  background-color: #ce2127;
  border-radius: 0 0 8px 8px;
}

.product_loop_item :has(p) button.single_add_to_cart_button {
  display: flex;
}

.product_loop_item a.added_to_cart.wc-forward {
  display: none;
}

.product_loop_item :has(p) button.single_add_to_cart_button.added:after {
  color: var(--main-black);
}

.product_loop_item :has(p) button.single_add_to_cart_button,
.product_loop_item :has(p) button.single_add_to_cart_button:hover {
  background-color: transparent !important;
}

button.single_add_to_cart_button.button.alt:hover {
  background-color: #c01d22;
}

.woocommerce button.button.loading::after {
  top: 20px;
}

.woocommerce div.product .product_title {
  font-style: normal;
  font-weight: bold;
  font-size: 26px;
  line-height: 36px;
  color: #010101;
  margin-bottom: 26px;
}

.woocommerce div.product form.cart .variations select {
  border: 1px solid #b7b7b7;
  padding: 3px;
  border-radius: 8px;
  margin-left: 10px;
  background-color: white;
}

.woocommerce button.button.alt.disabled {
  background-color: #ce2127;
}

.woocommerce button.button.alt.disabled:hover {
  background-color: #b61b20;
}

.woocommerce-variation-add-to-cart.variations_button {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin-left: 15px;
}

.woocommerce-checkout #payment ul.payment_methods li label {
  cursor: pointer;
}

.woocommerce-form-coupon-toggle a {
  font-size: 14px;
  font-weight: 600;
}

.woocommerce form.checkout_coupon button.button {
  height: 42px;
  background-color: #ce2127;
  color: #fff;
  font-weight: 400;
}

.woocommerce a.added_to_cart {
  display: none;
}

/* // ANCHOR CART */
form.woocommerce-cart-form {
  width: 100%;
  padding: 0 20px;
  float: left;
  margin-bottom: 30px;
}

.cart-collaterals h2 {
  margin-bottom: 30px;
}

.woocommerce table.shop_table {
  border: 0;
}

.woocommerce-cart table.cart img {
  width: 80px;
}

.woocommerce table.shop_table td a {
  font-size: 16px;
  font-weight: 600;
}

.woocommerce .shop_table button.button,
.woocommerce .shop_table button.button:disabled {
  color: #fff;
  font-size: 14px;
  border-radius: 0;
  padding: 13px 20px;
}

.woocommerce .shop_table button.button:hover {
  background-color: #9b1b1f;
}

.shop_table button.button {
  background-color: #ce2127;
}

.shop_table .coupon button.button {
  background-color: #ce2127;
  border-radius: 0;
  padding: 13px 20px;
  color: #fff;
  font-weight: 400;
  font-size: 14px;
}

.coupon #coupon_code {
  padding: 6px 15px;
  min-width: 250px;
  margin-right: 10px;
  font-size: 14px;
  border: 2px solid #f0efef;
}

.shop_table .coupon button.button:hover {
  background-color: #010101;
  color: #fff;
}

.woocommerce .cart-collaterals .cart_totals,
.woocommerce-page .cart-collaterals .cart_totals {
  width: 100%;
  padding: 20px;
  border: 3px solid #f0efef;
}

.woocommerce .cart-collaterals {
  width: 100%;
  float: right;
  padding: 0 20px;
  margin-bottom: 30px;
}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
  padding: 15px;
  font-size: 16px;
  font-weight: 500;
  border-radius: 0;
  background-color: #ce2127;
}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover {
  background-color: rgb(192, 28, 33);
}

.cart_totals h2 {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 20px;
  text-align: center;
  border-bottom: 2px solid #f0efef;
  padding-bottom: 9px;
}

.shop_table tr td:last-child,
.shop_table tr th:last-child {
  text-align: right;
}

.woocommerce table.shop_table tbody th {
  font-weight: 500;
  font-size: 14px;
}

tr.woocommerce-shipping-totals.shipping {
  font-size: 14px;
}

.order-total span.woocommerce-Price-amount.amount {
  font-size: 18px;
  font-weight: 700;
  color: #010101;
}

.woocommerce-cart .cart-collaterals .shipping-calculator-button {
  font-size: 14px;
}

.cart-subtotal span.woocommerce-Price-amount.amount {
  font-size: 14px;
  font-weight: 700;
}

.woocommerce table.shop_table td.product-remove a {
  color: #fff !important;
  font-size: 23px;
  background-color: #ce2127;
}

h3#ship-to-different-address {
  font-size: 16px;
  font-weight: 400;
}

.home-products-carousel.woocommerce.cross-sells {
  width: 100%;
  max-width: 100%;
  float: none;
}

/* // ANCHOR Checkout */

.woocommerce form.checkout_coupon {
  border: 2px dashed #010101;
  max-width: 700px;
}

.woocommerce form.checkout_coupon p:first-child {
  margin-bottom: 10px;
}

.woocommerce form.checkout_coupon .form-row {
  width: 50%;
}

.woocommerce form .form-row input.input-text {
  height: 42px;
}

.woocommerce form .form-row input.input-text,
.woocommerce form .form-row textarea {
  max-width: 100%;
  color: #000;
  box-shadow: none;
  vertical-align: middle;
  font-size: 14px;
  transition: border-color 0.5s ease;
  width: 100%;
  padding: 6px 20px;
  background: #f0efef;
  border-radius: 3px;
  border: 0;
}

.woocommerce form .form-row label {
  font-size: 14px;
  font-weight: 500;
}

#gift_wrap_field {
  display: block !important;
  min-height: 53px !important;
}
#gift_wrap_field #gift_wrap-description {
  display: block !important;
  background: none;
  color: #000;
  padding: 0 0 0 20px;
  margin-top: 0;
  font-size: 13px;
  letter-spacing: 0.2px;
  min-height: 18px !important;
}
#gift_wrap_field #gift_wrap-description:before {
  content: none;
}

.select2-container--default .select2-selection--single {
  height: 42px;
  background-color: #f0efef;
  border: 0;
}

.select2-container .select2-selection--single .select2-selection__rendered {
  height: 42px;
  display: flex;
  align-items: center;
  border: 0;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  height: 42px;
}

.woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout {
  width: 100%;
}

form.checkout.woocommerce-checkout {
  display: flex;
  flex-wrap: wrap;
  column-gap: 40px;
}

.woocommerce .col2-set .col-1,
.woocommerce-page .col2-set .col-1,
.woocommerce .col2-set .col-2,
.woocommerce-page .col2-set .col-2 {
  float: left;
  width: 100%;
}

#customer_details {
  width: calc(60% - 20px);
}

.clever-checkout-review {
  width: calc(40% - 20px);
  position: relative;
  margin-bottom: 40px;
  padding: 30px;
  background-color: #f8f8f8;
  height: fit-content;
  height: -moz-fit-content;
}

#order_review_heading {
  font-size: 24px;
  font-weight: 400;
  text-align: center;
  margin-bottom: 15px;
}

.woocommerce-checkout #payment {
  background: none;
}

.woocommerce-checkout #payment div.payment_box {
  background-color: #ffffff;
}

.woocommerce-checkout #payment div.payment_box::before {
  border: 9px solid #ffffff;
  border-right-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
  top: -3px;
}

table.shop_table.woocommerce-checkout-review-order-table {
  border: 0;
  background-color: #fff;
  padding: 10px;
}

.woocommerce #payment #place_order,
.woocommerce-page #payment #place_order {
  float: right;
  width: 100%;
  margin-top: 20px;
  padding: 15px 0;
  background-color: #ce2127;
}

p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
  font-size: 18px;
  margin-bottom: 20px;
  text-align: center;
  background-color: #43cb54;
  padding: 10px;
  color: #fff;
}

section.woocommerce-order-details,
section.woocommerce-customer-details {
  width: 48%;
  padding: 20px;
  background-color: #f9f9f9;
  border-radius: 8px;
  margin-top: 20px;
}

section.woocommerce-order-details {
  float: left;
}

section.woocommerce-customer-details {
  float: right;
}

h2.woocommerce-order-details__title,
h2.woocommerce-column__title {
  font-size: 20px;
}

.woocommerce-column--billing-address {
  margin-bottom: 20px;
}

/* // ANCHOR ACCOUNT PAGE */

.woocommerce-MyAccount-navigation ul {
  list-style: none;
  padding: 0;
  border-radius: 8px;
  box-shadow: 0px 2px 4px rgb(0 0 0 / 15%);
}

.woocommerce-MyAccount-navigation ul li {
  padding: 10px 20px;
  background-color: #f0efef;
}

.woocommerce-MyAccount-navigation ul li.is-active {
  background-color: #ce2127;
}

.woocommerce-MyAccount-navigation ul li.is-active a {
  color: #fff;
}

.woocommerce-MyAccount-navigation ul li:first-child {
  border-radius: 8px 8px 0 0;
}

.woocommerce-MyAccount-navigation ul li:last-child {
  border-radius: 0 0 8px 8px;
}

.woocommerce-MyAccount-navigation ul li a {
  width: 100%;
  height: 100%;
  display: block;
  color: #010101;
  font-weight: 500;
}

.woocommerce-MyAccount-navigation ul li:hover a {
  color: #fff;
}

.woocommerce-MyAccount-navigation ul li:hover {
  background-color: #ce2127;
}

.woocommerce-MyAccount-content .woocommerce-Address {
  padding: 20px;
  background-color: #f0efef;
  margin-bottom: 20px;
  margin-top: 10px;
  border-radius: 8px;
}

/* // ANCHOR Wishlist */
.tinv-header {
  display: none;
}

table.tinvwl-table-manage-list {
  border-collapse: collapse;
}

tr.wishlist_item {
  border-bottom: 1px solid #cfcfcf;
}

.tinv-wishlist .product-remove button {
  background-color: #ce2127;
  color: white;
  cursor: pointer;
}

.tinvwl-table-manage-list .product-action .tinvwl-txt {
  font-size: 12px;
}

.tinvwl-table-manage-list .button {
  padding: 10px !important;
}

/* // ANCHOR MEDIA */

@media (max-width: 1250px) {
  form.woocommerce-cart-form,
  .woocommerce .cart-collaterals {
    width: 100%;
    padding: 0;
  }
}

@media (max-width: 1024px) {
  .home-products-carousel.woocommerce.cross-sells
    .home-products-carousel-wrapper
    .hp-text-wrapper {
    margin-bottom: 0;
  }

  .home-products-carousel.woocommerce.cross-sells
    .home-products-carousel-wrapper
    h2 {
    text-align: center;
    margin-bottom: 5px;
  }

  .home-products-carousel.woocommerce.cross-sells
    .home-products-carousel-wrapper
    > .hp-text {
    flex-direction: column;
    margin-bottom: 15px;
  }
}

@media (max-width: 777px) {
  #billing_phone_field,
  #billing_email_field {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .coupon #coupon_code {
    min-width: auto;
  }

  .woocommerce-cart-form__contents tr,
  .group_table tr {
    margin-bottom: 25px;
    padding-left: 115px;
    min-height: 136px;
    position: relative;
    font-size: 12px;
  }

  .woocommerce-cart-form__contents tr:last-child {
    padding: 0;
  }

  .woocommerce-cart-form__contents td.product-thumbnail,
  .group_table td.product-thumbnail {
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    margin-bottom: 0;
    padding-bottom: 0;
    max-height: 115px;
    border-bottom: none;
  }

  .woocommerce-cart-form__contents td,
  .group_table td {
    display: flex;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    margin-bottom: 5px;
    padding: 0;
  }

  .woocommerce-cart-form__contents td.product-remove,
  .group_table td.product-remove {
    position: absolute;
    top: 3px;
    right: -7px;
    z-index: 1;
    margin-bottom: 0;
    padding-bottom: 0;
    border: 0 !important;
  }

  .woocommerce-cart-form__contents td.product-name,
  .group_table td.product-name {
    margin-bottom: 0;
    padding-bottom: 0;
    border-bottom: none;
    text-align: left;
  }

  .woocommerce table.shop_table_responsive tr td.product-name {
    display: block;
    text-align: left !important;
    padding-right: 35px;
  }

  .woocommerce table.shop_table_responsive tr td.product-name a {
    font-size: 14px;
  }

  .woocommerce table.shop_table_responsive tr td.product-name::before {
    display: none;
  }

  .woocommerce-page table.cart .product-thumbnail {
    display: block;
    border: 0;
    padding: 0;
  }

  .woocommerce-page table.cart .product-thumbnail::before {
    display: none;
  }

  .woocommerce table.shop_table_responsive tr:nth-child(2n) td,
  .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td {
    background-color: rgb(255 255 255 / 3%);
  }

  .cart_item .quantity {
    justify-content: flex-end;
  }

  form.woocommerce-cart-form,
  .woocommerce table.shop_table {
    margin-bottom: 0;
  }

  .clever-checkout-review {
    padding: 15px;
  }

  tr.wishlist_item {
    border: 1px solid #cfcfcf;
  }
}

@media (max-width: 580px) {
  .woocommerce-page table.cart td.actions .coupon {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    border: 2px dashed #010101;
    margin: 10px 0;
    order: 2;
    width: 100%;
  }

  .woocommerce-page table.cart td.actions .coupon input,
  .woocommerce-page table.cart td.actions .coupon button {
    width: 100% !important;
  }

  .shop_table .actions {
    display: flex !important;
    flex-direction: column;
  }

  .woocommerce .shop_table button.button {
    order: 1;
  }
}

@media (min-width: 580px) {
  .horizontal-view .loop_item_img_wrapper {
    position: relative;
    max-width: 250px;
  }

  .horizontal-view .loop_item_content_wrapper {
    max-width: 400px;
  }

  .horizontal-view .product_loop_item {
    display: flex;
    align-items: center;
    border: 0;
    border-bottom: 2px solid #f7f1f1;
    border-radius: 0;
  }

  .horizontal-view .tags-wishlist-wrapper {
    position: absolute;
    top: 35px;
    width: 100%;
  }

  .horizontal-view .loop_item_link_wrapper {
    max-width: 320px;
  }

  .horizontal-view .loop_item_link {
    border-bottom-left-radius: 0;
  }

  .horizontal-view .product_loop_item:hover .loop_item_link {
    background-color: #fff;
  }
}

@media (min-width: 1025px) {
  .woo_archive_loop {
    flex: 0 0 75%;
    max-width: 75%;
    padding-left: 10px;
  }

  .woo_archive_sidebar {
    flex: 0 0 25%;
    max-width: 25%;
    padding-right: 10px;
  }
}

@media (max-width: 992px) {
  .woo_archive_controllers {
    align-items: flex-start;
    margin-bottom: 20px;
  }

  #customer_details {
    width: 100%;
  }

  .clever-checkout-review {
    width: 100%;
  }

  form.checkout.woocommerce-checkout {
    flex-direction: column;
  }

  section.woocommerce-order-details,
  section.woocommerce-customer-details {
    width: 100%;
  }

  .woocommerce ul.order_details li {
    border: 0 !important;
    margin-bottom: 7px;
  }

  .woocommerce ul.order_details {
    padding: 0;
  }
}

@media (max-width: 680px) {
  .show-controllers {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    margin: 20px 0 0 0;
  }

  .show-controllers .searchandfilter select.sf-input-select,
  .show-controllers select {
    padding: 8px 20px;
  }

  .woo-grid-views {
    margin-left: 0;
  }

  .woocommerce.single-product .quantity .qty {
    width: 100%;
  }

  .woocommerce div.product .product_title {
    margin-bottom: 5px;
    font-size: 20px;
  }

  .woocommerce div.product p.price,
  .woocommerce div.product span.price {
    color: var(--main-red);
  }

  .qv_add_cart {
    height: auto;
    flex-direction: column;
  }

  .woocommerce div.product .qv_add_cart form.cart div.quantity {
    position: inherit;
    margin-bottom: 20px;
  }

  .qv_add_cart form.cart {
    height: auto;
    width: 100%;
  }

  .woocommerce div.product .qv_add_cart form.cart .button {
    width: 100%;
    height: 56px;
    margin-bottom: 20px;
  }

  .qv_add_cart .qv_wishlist-icon {
    width: 100%;
    height: 56px;
    margin: 0;
  }

  .qv_wishlist-icon .tinvwl_add_to_wishlist-text,
  .qv_wishlist-icon
    .tinvwl-product-in-list.tinvwl-product-make-remove
    .tinvwl_remove_from_wishlist-text {
    display: initial !important;
  }

  .qv_add_cart .tinvwl_add_to_wishlist_button {
    display: flex;
    align-items: center;
    margin: 0;
  }

  .qv_add_cart .qty-buttons-wrapper {
    position: absolute;
    left: 0;
    width: 100%;
  }

  .qv_add_cart input.qty_button.plus {
    right: 10px;
    background-image: url(/wp-content/themes/cleverproducts/images/plus.svg);
  }

  .qv_add_cart input.qty_button.minus {
    left: 10px;
    background-image: url(/wp-content/themes/cleverproducts/images/minus.svg);
  }

  .qv_add_cart .qty-buttons-wrapper input.qty_button {
    position: absolute;
    height: 36px;
    width: 36px;
    top: 6px;
    background-color: white;
    border-radius: 4px;
    background-repeat: no-repeat;
    background-size: 80%;
    background-position: center;
  }

  .qv_add_cart .quantity .qty {
    width: 100%;
  }
}
